VisualEditor: Placing the cursor in a slug doesn't cause a contextChange event
Closed, DeclinedPublic

  1. Make an article that begins with an alien followed by a paragraph with some text
  2. Click on a word in the paragraph
  3. Click on the slug
  4. Press the link button
  5. See that rather than the link inspector knowing to begin inserting a new link inside the slug, it inspects the word you clicked on in the paragraph.

Version: unspecified
Severity: normal
See Also:

bzimport set Reference to bz44083.
TrevorParscal created this task.Via LegacyJan 18 2013, 12:01 AM
Krinkle added a comment.Via ConduitOct 2 2013, 8:55 PM

Hm.. I can't reproduce this.

  1. Opening a MediaWiki page with the following source in VisualEditor:


"params": {}


Foo bar baz.

  1. Selecting word "bar".
  2. Clicking in the slug area above the green templatedata alien.
  3. Pressing the link button.

Shows a link inspector with an empty input field. Upon entering some text in the link input widget and closing the link editor, the link target page is inserted as plain text (different bug?)

Jdforrester-WMF added a comment.Via ConduitOct 24 2013, 10:37 PM

Confirming that this is now fixed, and was done so some time ago - back-dating to approximately when I think it was fixed.

Krinkle added a comment.Via ConduitOct 29 2013, 3:34 PM

Actually closing it.

Add Comment